#!/usr/bin/perl
#
# This code was developped by IDEALX (http://IDEALX.org/).
# 
# Copyright  2000-2003 IDEALX
# 
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2 as
# published by the Free Software Foundation.
# 
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307,
# USA.

# $Id: ca-auto-csr.cgi,v 1.12 2003/07/23 13:20:48 mbrossard Exp $
# $Source: /opt/cvs/idxpki/sources/src/perlscript/CA/Attic/ca-auto-csr.cgi,v $

use strict;

use IDX::PKI::Registry;
use IDX::PKI::CA;
use IDX::PKI::Error;
use IDX::PKI::Crypto::CSR;
use IDX::PKI::Transport;
use IDX::PKI::Principal;

############### CGI init ####################
$cgi->setupViews ("ca-csr-accept.php");


# Broken
# use IDX::PKI::CGI;
$cgi->error(CONFIG_INIT);


################ Read pending CSR ###############################
my $serialcsr = $cgi->validate("csr", \&IDX::PKI::ValidateInput::pem_message)
  || $cgi->error(INPUT_HIDDEN);

my $csr = deserialize IDX::PKI::Crypto::CSR
  ($serialcsr) || $cgi->error(TRANSPORT_MSG);

	my $ca = new IDX::PKI::CA ();
	my ($x509);
#	try {
		$x509 = $ca->csr_accept ($csr);
#	} catch IDX::PKI::Error::Network with {
#		my ($E) = @_;
#
#		if (($E->{'-text'} =~ m/transport/i) ||
#				($E->{'-text'} eq "MALFORMED_MESSAGE")) {
#			# Transport error.
#			errorReturn ($cgi => 'TRANSPORT_INIT', $log => $E);
#		} else {
#			# LDAP error.
#			errorReturn ($cgi => REPOSITORY_PUBLISH, $log => $E);
#		}
#	} catch IDX::PKI::Error::Crypto with {
#		my ($E) = @_;
#		errorReturn ($cgi => 'MISC_CRTGEN', $log => $E);
#	} catch IDX::PKI::Error::Config with {
#		my ($E) = @_;
#		errorReturn ($cgi => CONFIG_INVALID, $log => $E);
#	};

$cgi->success ($x509->serialize ());
