#!/usr/bin/perl
#
# This code was developped by IDEALX (http://IDEALX.org/).
# 
# Copyright  2000-2003 IDEALX
# 
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2 as
# published by the Free Software Foundation.
# 
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307,
# USA.

# $Id: ca-scep-reject.cgi,v 1.2 2003/02/17 12:03:49 mbrossard Exp $
# $Source: /opt/cvs/idxpki/sources/src/perlscript/CA/ca-scep-reject.cgi,v $

use strict;

use IDX::PKI::Config;
use IDX::PKI::Registry;
use IDX::PKI::Error;
use IDX::PKI::Crypto::Tools;
use IDX::PKI::Principal;
use IDX::PKI::Authentication qw(authorize);

$cgi->setupViews ("ca-scep-reject.php");

############### Access Restriction ####################
$cgi->authorize("PRIV_USE",$config->getSectionName
				('CA', ["ACL" => 'web_acl']));

############### Configuration informations ####################
my $scepdir = $config->getPath("paths", "scepdir")
	|| $cgi->error (CONFIG_INVALID);
my $id = $cgi->validate("id" => \&IDX::PKI::ValidateInput::messageID);
$cgi->error (INPUT_HIDDEN) if ($cgi->validateFailures());

my $ret = system("/bin/mv", "-f", "$scepdir/pending/$id.der",
								 "$scepdir/pending/$id.info",
								 "$scepdir/rejected");

$cgi->error(REQUEST_INVALID)
	if ((-f "$scepdir/pending/$id.der") ||
			(-f "$scepdir/pending/$id.info"));
$cgi->success(0);

