#!/usr/bin/perl
#
# This code was developped by IDEALX (http://IDEALX.org/).
# 
# Copyright  2000-2003 IDEALX
# 
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2 as
# published by the Free Software Foundation.
# 
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307,
# USA.

# $Id: ee-csr-profile.cgi,v 1.13 2004/01/09 19:43:29 mbrossard Exp $
# $Source: /opt/cvs/idxpki/sources/src/perlscript/EE/ee-csr-profile.cgi,v $

=pod "

=head1 NAME

EE/ee-csr-profile.cgi - Lists all the profiles available for EE

=cut "

use strict;

use IDX::PKI::Registry;
use IDX::PKI::Profile;

############### CGI init ####################
$cgi->setupViews("ee-csr-profile.php");

################ Profile listing ###############################
my @ret;
# Build a list of available profiles.
foreach my $profilename ($config->getPath ('EE', 'profiles')) {
	my $profile = new IDX::PKI::Profile ($profilename);
	push (@ret, [ $profile->getName(), { $profile->getTitlesI18N() } ]);
}
$cgi->success (\@ret);
