<?php
/*
 * This code was developped by IDEALX (http://IDEALX.org/).
 * 
 * Copyright  2000-2003 IDEALX
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 * 
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307,
 * USA.
 */

$relativepath = "..";
include_once "$relativepath/pki-shared.inc";

print_html_header("ca", "ca-csr-list", $relativepath);

/* Get the return value of the cgi. */
$data = getData();

if (! isset ($data)) {
	error ("ThisScriptShouldNotBeCalledDirectly");
} elseif ((int)$data < 0) {
	$field = strip_tags ($HTTP_GET_VARS["ERROR"]);
	error ((int) $data, ($field ? msg ("Form", $field, 'i') : ''));
} else {
	if (count ($data) == 0) {
		print yellow_msg ("Message", "NoPendingRequests", "info");
	} else {
		$d = msg("Value","Detail","n");
		print begin_table();
		foreach ($data as $k) {
			$a = $k[1];
			$b = quick_form('ca-csr-details.cgi','id', $k[0], $d);
			print table_element_alt_line($a, $b, "#E5ECEE", $i++);
		}
		print end_table();
	}
}

print_html_footer();

?>
