<?php
/*
 * This code was developped by IDEALX (http://IDEALX.org/).
 * 
 * Copyright  2000-2003 IDEALX
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 * 
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307,
 * USA.
 */
$relativepath = "..";
include_once "$relativepath/pki-shared.inc";
$cgi_script= "ee-csr-send.cgi";

$BROWSER = (ereg("IE", $HTTP_SERVER_VARS["HTTP_USER_AGENT"])) ? "IE" :
	"NETSCAPE";

/* Get the return value of the cgi. */
$data = getData();
$profile = getProfile();

if ($profile["type"] == "user") {
	$disableForm = 'function disableForm(theform)
{
	if (document.all || document.getElementById)
	{
		for (i = 0; i < theform.length; i++)
		{
			var tempobj = theform.elements[i];
			if (tempobj.type.toLowerCase() == "submit" ||
				tempobj.type.toLowerCase() == "reset")
				tempobj.disabled = true;
		}
	}
	return true;
}';

	if ($BROWSER == "IE") {
		$extra = '      <meta HTTP-EQUIV="Cache-Control" CONTENT="no cache">
	  <meta HTTP-EQUIV="Pragma" CONTENT="no cache">
	  <meta HTTP-EQUIV="Expires" CONTENT="0">
      <!-- The first one is to be used for _unpatched_ IE. -->
      <!-- Cf http://support.microsoft.com/default.aspx?kbid=323172 -->
	  <object classid="clsid:43F8F289-7A20-11D0-8F06-00C04FC295E1"
        codebase="xenroll.dll" id="oldCertHelper"></object>
	  <object classid="clsid:127698e4-e730-4e5c-a2b1-21490a70c8a1"
        codebase="xenroll.dll" id="newCertHelper"></object>

	  <script type="text/javascript">
	  <!--
'.$disableForm.'
function GenReq ()
{
	var szName = "";

	disableForm(document.IECSR);

	/* personal information */
';

/*
 *  This way works better: otherwise the DN is reversed and fails when
 *  the CA signs the certificate
 */
foreach ($profile["rdns"] as $rdn) {
  $name = $rdn["long"];
  $count = ++ $counter[$name];
  
  if ($rdn["req"] == 'fixed') {
    $extra .= 'if(szName) { szName = "," + szName } ;'."\n";
    $extra .= 'szName = "'.$rdn["short"].'='. $rdn["default"]."\" + szName;\n";
  } else {
    $extra .= 'if(document.IECSR.'.$rdn["long"].$count.'.value) {'."\n";
    $extra .= 'if(szName) { szName = "," + szName } ;'."\n";
    $extra .= 'szName = "'.$rdn["short"].
       '=" + document.IECSR.'.$rdn["long"].$count.'.value + szName; }'."\n";
  }
}

/*
$orderedrdns = array_reverse ($profile["rdns"]);
foreach ($orderedrdns as $rdn) {
  $name = $rdn["long"];
  $count = ++ $counter[$name];

  if ($rdn["req"] == 'fixed') {
    $extra .= 'if(szName) { szName = szName + "," } ;'."\n";
    $extra .= 'szName = szName + "'.$rdn["short"].'='. $rdn["default"]."\";\n";
  } else {
    $extra .= 'if(document.IECSR.'.$rdn["long"].$count.'.value) {'."\n";
    $extra .= 'if(szName) { szName = szName + "," } ;'."\n";
    $extra .= 'szName = szName + "'.$rdn["short"].
       '=" + document.IECSR.'.$rdn["long"].$count.'.value; }'."\n";
  }
}
*/

		$extra = $extra.'
	/* The following lines should set the key size and hash value to use,
	   but they do not work with some CSPs. */

	/* key hash alg */
	/* certHelper.HashAlgorithm = "SHA1"; */ /* or MD2,MD5 */
	/* key length */
	/* certHelper.GenKeyFlags = 1024<<16; */
	/* Should activate the key protection (CRYPT_USER_PROTECTED) untested */
	/* certHelper.GenKeyFlags |= 2; */
	/* Should make the key exportable... (CRYPT_EXPORTABLE) untested */
	/* certHelper.GenKeyFlags |= 1; */

	/* Provider set */
	newCertHelper.providerType = 1;
	newCertHelper.providerName = document.IECSR.CSP.value;
	newCertHelper.KeySpec = 1;
	oldCertHelper.providerType = 1;
	oldCertHelper.providerName = document.IECSR.CSP.value;
	oldCertHelper.KeySpec = 1;

	/* Client Authentification and email protection */
	szPurpose = "1.3.6.1.5.5.7.3.2, 1.3.6.1.5.5.7.3.4";

	/* Make PKCS#10 string */
	try {
		/* Thanks to OpenCA for this test. */
		var tester = newCertHelper.MyStoreName;
		szDN = newCertHelper.CreatePKCS10(szName, szPurpose);
	}
	catch (e) {
		szDN = oldCertHelper.CreatePKCS10(szName, szPurpose);
	}

	if (szDN.length > 10)
	{
		document.IECSR.reqEntry.value = szDN;
	}
	else
	{
		alert("'.msg("EE", "KeyPairGenFailed", 'i').'");
	}
}
// -->
   </script>';
	} elseif ($BROWSER == "NETSCAPE") {
		$extra = '
		<script type="text/javascript">
<!--
'.$disableForm.'
// -->
   </script>
';
	}
}

print_html_header("ee", "ee-csr-form", $relativepath, $extra);

if (!isset ($data)) {
	error ("ThisScriptShouldNotBeCalledDirectly");
} else {

	print yellow_msg ("EE", "UseValidEmailAddresse","info");
	print yellow_msg ("EE", "YouMustKeepTheSecret","info");

	if ((int)$data < 0) {
		$field = strip_tags ($HTTP_GET_VARS["ERROR"]);
		error ((int)$data, ($field ? msg ("Form", $field, "i") : ""));
	}

	if ($profile["type"] == "central" ||
		$profile["type"] == "server") {
		/* No browser-specific operations to do. */
		print "<form method='POST' name='REQUEST' ".
			"action='$cgi_script'>\n";
		print "<table>\n";
	} elseif ($BROWSER == "IE") {
		/* Browser-specific operations. */
 		print "<noscript>".yellow_msg ("Error",
			"ActivateScriptsToGenerateKey", "info")."</noscript>\n";
		print "<form method='POST' name='IECSR' action='$cgi_script' ".
			"onSubmit='GenReq()'>\n";
		print "<input type='hidden' name='reqEntry' value='noreqEntry'>\n";
		print "<table>\n";

		$script = '<select name="CSP" />
<SCRIPT type="text/vbscript">
Dim i
Dim element, provider
Dim noMoreRecs
Dim selected, regEx
Dim tester

i = 0
noMoreRecs = False
selected = 0
Set regEx = New RegExp
regEx.Pattern = "microsoft enhanced crypto"
regEx.IgnoreCase = True

On Error Resume Next
// Thanks to OpenCA for this test.
tester = newCertHelper.MyStoreName
If Err.Number Then
  tester = ""
End If

Do
  Err.Number = 0
  If Len (tester) > 0 Then
    provider = newCertHelper.enumProviders( i, 0 )
  Else
    provider = oldCertHelper.enumProviders( i, 0 )
  End If
  If Err.Number Then
    Exit Do
  End If
  Set element = document.createElement("OPTION")
  element.text = provider
  element.value = element.text
  If regEx.Test(element.text) Then
    selected = i
  End If
  document.IECSR.CSP.Options.Add element
  i = i + 1
Loop
document.IECSR.CSP.selectedIndex = selected
</SCRIPT>
';
		print table_element_line ("$star".msg ("Form",
			"CryptographicServiceProvider", "i"), $script);
	} elseif ($BROWSER == "NETSCAPE") {
		print "<form method='POST' name='NetscapeCSR' action='$cgi_script'".
			"onSubmit='disableForm(document.NetscapeCSR)'>\n";
		print "<table>\n";
		print table_element_line ($star.msg ("Form", "KeySize", "i"),
			"<keygen name='SPKAC' challenge='challenge'/>");
	}

	/* DN and form elements. */
	foreach (array ("rdns", "form") as $elemtype) {
		foreach ($profile[$elemtype] as $elem) {
			$name = $elem["long"];
			$count = ++ $counter2[$name];

			/* Check if the field has to be asked twice. */
			$verif = ($elem["options"]["verify"]) ? array (".a", ".b") :
				array ("");
			foreach ($verif as $append) {

				/* Fixed fields are handled in CGIs. */
				if (($elem["req"] != "fixed") &&
                    (! $elem["options"]["raonly"])) {
					$mandatory = ($elem["req"] == "mandatory") ? $star : "";

					$text1 = $mandatory.msg("Form", $name, "i").
						($append == "b" ? " ".msg ("Form", "dup", "i") : "");

					if ($elem["type"] == "choice") {
						$options = "";
						foreach ($elem["choices"] as $opt) {
							$default = $HTTP_GET_VARS["$name$count$append"];
							if ($default == "") $default = $elem["default"];
                            $selected = ($opt == $default ? " selected" : "");
							$options .= "<option value='$opt'$selected>".
								"$opt</option>\n";
						}
						$text2 = "<select name='$name$count$append'>\n".
							"$options</select>\n";
					} elseif ($elem["type"] == "pem") {
						$text2 = "</td></tr><tr><td colspan='2'>\n".
							"<textarea name='$name$count$append' cols='65' ".
							"rows='20'></textarea>\n";
					} else {
						$type = $elem["options"]["password"] ? "password" :
							"text";
						$size = ($elem["maxlength"] <= 16) ?
							$elem["maxlength"] :
							(16 + ($elem["maxlength"] - 16) / 4);
						if ($size == 0) $size = 20;
						$maxlen = $elem["maxlength"] ?
							" maxlength='".$elem["maxlength"]."'" : "";
						$default = $HTTP_GET_VARS["$name$count$append"];
						if ($default == "") $default = $elem["default"];
						$text2 = "<input type='$type' ".
							"name='$name$count$append' size='$size'$maxlen ".
							"value='$default'>\n";
					}

					print table_element_line ($text1, $text2);
				}	/* End of test not fixed, not raonly. */

				/* Needed for IE. */
				if (($elemtype == "rdns") && ($elem["req"] == "fixed")) {
					$text = "<input type='hidden' name='$name$count$append' ".
						"value='".$elem["default"]."'>".$elem["default"]."\n";
					print table_element_line (msg ("Form", $name, "i"), $text);
				}
			}	/* End of loop in case of verify. */
		}	/* End of loop on elements. */
	}	/* End of loop "rdns", "form". */

	print "</table>\n";
	print "<input type='hidden' name='profile' value='".
		$profile["profile"]."'>\n";

	print "<input type='submit' value='".msg("Value", "Send",  "n")."'>\n";
	print "<input type='reset'  value='".msg("Value", "Reset", "n")."'>\n";
	print "</form>\n";
}

print_html_footer();

?>
