<?php
/*
 * This code was developped by IDEALX (http://IDEALX.org/).
 * 
 * Copyright  2000-2003 IDEALX
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 * 
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307,
 * USA.
 */

/* $Id: ee-csr-profile.php,v 1.9 2003/05/16 09:32:45 mbrossard Exp $ */
/* $Source: /opt/cvs/idxpki/sources/src/php/EE/ee-csr-profile.php,v $ */

$relativepath = "..";
include_once "$relativepath/pki-shared.inc";

print_html_header("ee", "ee-csr-profile", $relativepath);

/* Get the return value of the cgi. */
$data = getData();

if (!isset ($data) || (int)$data < 0) {
	if((int)$data < 0) {
		$field = strip_tags($HTTP_GET_VARS["ERROR"]);
		error ((int)$data, ($field ? msg ("Form", $field, "i") : ""));
	}
} else {
	$options = "";
	foreach ($data as $k) {
		$title_i18n = getProfileTitleI18N($k[1]);
		$options .= '<option value="'.$k[0].'">'.$title_i18n.'</option>'."\n"; 
	}
	$value = '<select name="profile" class="marged" style="width: 200px;">'."\n".
		 $options.'</select></td><td>'."\n".
		 '<input type="submit" value="'.msg("Value","Send","n").
		 '" name="submit" class="marged" />'."\n";
	print begin_form('ee-csr-form.cgi').
		begin_table("#E5ECEE").
		table_element_line(msg("Configuration", "Profile", "n").':', $value).
		end_table().'</form>'."\n";
}

print_html_footer();

?>
