<?php
/*
 * This code was developped by IDEALX (http://IDEALX.org/).
 * 
 * Copyright  2000-2003 IDEALX
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 * 
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307,
 * USA.
 */

$relativepath = "..";
include_once "$relativepath/pki-shared.inc";

print_html_header("ra", "ra-csr-validate", $relativepath);

/* Get the return value of the cgi. */
$data = getData();
$csr = getVariable ("CSR");

if (! isset($data)) {
   error("ThisScriptShouldNotBeCalledDirectly");
} elseif (((int)$data == 0) && ($HTTP_GET_VARS["validate"])) {
	print yellow_msg("RA", "CSRAcceptedAndSent", "success");
} else {
	if ((int)$data < 0) {
		$field = strip_tags ($HTTP_GET_VARS["ERROR"]);
		error ((int)$data, ($field ? msg("Form", $field, "i") : ""));
	}

	print begin_form('ra-csr-validate.cgi');
	print "<input type='hidden' name='validate' value='1'>\n";
	print begin_table();

	print table_title_line (msg ("Message", "Misc", "h2"));
	$title = $csr["profile"][$lang] ? $csr["profile"][$lang] :
		$csr["profile"]["default"];
	print table_element_line (msg ("Form", "profile", "i"), $title);
	print table_element_line (msg ("Form", "tracking", "i"),
							  $csr["tracking"]);

	$label = array( "rdns" => "DistinguishedName",
					"form" => "Data");

	foreach (array ("rdns", "form") as $elemtype) {
		print table_title_line(msg("Message", $label[$elemtype], "h2"));

		foreach ($csr[$elemtype] as $struct) {
			$key    = $struct["key"];
			$edit   = $struct["edit"];
			$mandat = ($struct["mandatory"] == "mandatory") ? 1 : 0;
			$val    = $struct["val"];
			if ($edit) {
				$count[$key] ++;
				$val = isset ($HTTP_GET_VARS[$key."_".$count[$key]]) ?
					$HTTP_GET_VARS[$key."_".$count[$key]] : $struct["val"];
				$val = "<input type=\"$edit\" name=\"$key.$count[$key]\" ".
					"value=\"$val\">";
			}
			if ($val) {
				print table_element_line (($mandat ? $star : "").
										  msg ("Form", $key, "i"), $val);
			}
		}
	}

	print end_table();

	$myid = $HTTP_GET_VARS["id"];

	print begin_table().
		table_title_line("<input type='hidden' name='id' value='$myid'>\n".
						 "<input type='submit' value='".
						 msg("Value", "Accept", "n")."'>\n").
		end_table();

	print end_form();

	print begin_table().
		table_title_line(quick_form ("ra-csr-reject.cgi", "id", $myid,
									 msg("Value","Reject", "n"))).
		end_table();
}

print_html_footer();

?>
