<?php
/*
 * This code was developped by IDEALX (http://IDEALX.org/).
 * 
 * Copyright  2000-2003 IDEALX
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 * 
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307,
 * USA.
 */

$relativepath = "..";
include_once "$relativepath/pki-shared.inc";

$section = $HTTP_GET_VARS["section"];
$entity  = ereg_replace ("^ACL-", "", $section);
$titleref     = "config-search-".strtolower ($entity);
print_html_header("config", $titleref, $relativepath);

/* Get the return value of the cgi. */
$data = getData();

/* If we weren't called by CGI or if some modifications are required from
   user, display the form. */

if (!isset ($data)) {
	error ("ThisScriptShouldNotBeCalledDirectly");
} elseif ((int)$data < 0) {
	/* Out some error messages. */
	if ((int)$data < 0) {
		$field = strip_tags ($HTTP_GET_VARS["ERROR"]);
		error ((int) $data, ($field ? msg ("Form", $field, 'i') : ''));
	}

	print "<form action='config-certs-search.cgi' method='post'>\n";
	print "<input type='hidden' name='section' value='$section'>\n";
	print "<table width='100%' border='0' cellspacing='0' ".
		"cellpadding='5' bgcolor='#E5ECEE'>\n";
	foreach (array ("idxpkiSubjectID", "idxpkiSubjectEmail",
					"idxpkiSerial") as $k) {
		$v = msg ("Form", $k, "i");
		print "<tr>\n";
		print "<td><font face='Arial Narrow, Geneva, Arial' size='2' ".
			"color='#00415A'>$v:</font></td>\n";
		print "<td><input type='text' name='$k' value='".
			$HTTP_GET_VARS[$k]."'></td>\n";
		print "</tr>\n";
	}
	print "</table>\n";
	print "<input type='submit' value='".msg("Value","Search", "n").
		"'>\n</form>\n";

} else {
	/* Display the result of our query. */
	if (count($data) == 0) {
		print yellow_msg ("Message", "NoMatchingCertificate", "info");
	} else {
		do_msg ("Message", "NumberOfMatchingUsers", "p",
				count($data).".");
		foreach ($data as $i => $cert) {
			$num = $i + 1;
			do_msg ("Message", "User", "h2", " $num");
			print "<table width='100%' border='0' cellspacing='0' ".
				"cellpadding='5' bgcolor='#E5ECEE'>\n";
			foreach ($cert as $k => $v) {
				$label = msg ("Form", $k, "i"); 
				/* Translate the value? */
				if ($k == "idxpkiStatus") $v = msg ("Form", $v, "i");
				if (isset ($label) && isset ($v) && ($v != "")) {
					print "<tr>\n";
					print "<td width='15%' nowrap align='right'><strong>".
						"<font face='Arial Narrow, Geneva, Arial' size='2' ".
						"color='#00415A'>$label:</font></strong></td>\n";
					print "<td><span class='label'>$v</span></td>\n";
					print "</tr>\n";
				}
			}
			print "</table>\n";

			/* Link to add the user to the administrators */
			$dn = $cert["idxpkiSubject"];
			print "<form action='changeprivs.cgi' method='POST'>\n";
			print "<input type='hidden' name='section' value='$section'>\n";
			print "<input type='hidden' name='MODIFY_DN_0' value='$dn'>\n";
			print "<h3>".msg ("Configuration", "addadmin", "n")."</h3>\n";
			print begin_table ("#E5ECEE");

			print "<tr>\n";
			print "<td><span class='formTitle'>".
				msg ("Configuration", "Use", "i")."</span></td>\n";
			print "<td><span class='formTitle'>".
				msg ("Configuration", "Config", "i")."</span></td>\n";
			print "<td><span class='formTitle'>".
				msg ("Configuration", "Privs", "i")."</span></td>\n";
			print "<td><span class='formTitle'>".
				msg ("Configuration", "Sysadm", "i")."</span></td>\n";
			print "<td rowspan='2'><input type='submit' value=".
				msg ("Value", "Add", "n")."></td>\n";
			print "</tr>\n";

			print "<tr>\n";
			print "<td><input type='checkbox' name='SET_PRIV_USE_0' checked>".
				"</td>\n";
			print "<td><input type='checkbox' name='SET_PRIV_CONFIG_0'>".
				"</td>\n";
			print "<td><input type='checkbox' name='SET_PRIV_CHPRIV_0'>".
				"</td>\n";
			print "<td><input type='checkbox' name='SET_PRIV_MAINT_0'>".
				"</td>\n";
			print "</tr>\n";

			print end_table ();
			print "\n";
			print "</form>\n";
		}
	}
}

print_html_footer();

?>
