<?php
/*
 * This code was developped by IDEALX (http://IDEALX.org/).
 * 
 * Copyright  2000-2003 IDEALX
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 * 
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307,
 * USA.
 */

/* $Id: config-renewal.php,v 1.18 2003/08/07 11:40:29 mbrossard Exp $ */
/* $Source: /opt/cvs/idxpki/sources/src/php/config/config-renewal.php,v $ */

$relativepath = "..";
include_once "$relativepath/pki-shared.inc";

print_html_header("config", "config-renewal", $relativepath);

/* Get the return value of the cgi. */
$data = getData();


if (((int)$data) < 0) {
	$field = strip_tags ($HTTP_GET_VARS["ERROR"]);
	error ((int) $data, ($field ? msg ("Form", $field, 'i') : ''));
} elseif(((int)$data) == 1) {
	print yellow_msg("Message", "ConfigurationSuccessfullyUpdated",
					 "success");
}

print "<form action='config-renewal.cgi' method='POST'>\n";
print "<input type='submit' name='valid' value='".msg("Value", "Save", "n").
	"'>\n";
print "<input type='reset' value='".msg("Value", "Reset", "n")."'>\n";
print "<hr>\n";

/* Loops on all defined values. */
for ($i = 0; 1; $i++) {
	if (! isset ($HTTP_GET_VARS["days_".$i])) break;

	print "<h2>".msg ("Configuration", "RenewalReminder", "i").($i + 1).
		"</h2>\n";

	print "<p>".msg ("Configuration", "ReminderAt", "i");
	print "<input type='text' size='4' maxlength='4' name='days_".$i.
		"' value='".$HTTP_GET_VARS["days_".$i].
		"'></input>&nbsp;".msg("Form", "days", "i")."</p>\n";

	print "<p>".msg ("Configuration", "Active", "i");
	print "<input type='checkbox' name='active_".$i.
		"' value='1'".($HTTP_GET_VARS["active_".$i] ? " checked" : "").
		"></input></p>\n";
	
	print "<p>".msg ("Form", "message", "i")."</p>\n";
	print "<textarea name='text_".$i."' rows='10' cols='40'>".
	$HTTP_GET_VARS["text_".$i]."</textarea>\n";
	print "<hr>\n";
}

/* Empty one to ease adding more reminders. */
print "<h2>".msg ("Configuration", "RenewalReminder", "i").($i + 1).
	"</h2>\n";
print "<p>".msg ("Configuration", "ReminderAt", "i");
print "<input type='text' size='4' maxlength='4' name='days_".$i.
	"' value=''></input>&nbsp;".msg("Form", "days", "i")."</p>\n";
print "<p>".msg ("Configuration", "Active", "i");
print "<input type='checkbox' name='active_".$i.
	"' value='1'></input></p>\n";
print "<p>".msg ("Form", "message", "i")."</p>\n";
print "<textarea name='text_".$i."' rows='10' cols='40'></textarea>\n";
print "<hr>\n";

print "<input type='submit' name='valid' value='".msg("Value", "Save", "n").
	"'>\n";
print "<input type='reset' value='".msg("Value", "Reset", "n")."'>\n";
print "</form>\n";

print_html_footer();

?>

