<?php
/*
 * This code was developped by IDEALX (http://IDEALX.org/).
 * 
 * Copyright  2000-2003 IDEALX
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 * 
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307,
 * USA.
 */

/* TODO what about internal repetitions in this file (collisions in values)? */

$MSG["Form"]["en"] = array (
	/* DN elements */
	"commonName"                => "Common Name",
	"uniqueIdentifier"          => "Unique Identifier",
	"userID"                    => "User ID",
	"emailAddress"              => "Email",
	"title"                     => "Title",
	"description"               => "Description",
	"organizationalUnitName"    => "Organisational Unit",
	"organizationName"          => "Organisation",
	"localityName"              => "Locality",
	"stateOrProvinceName"       => "State",
	"countryName"               => "Country (two letters code)",

	/* Other informations in the certificate */
	"certificationAuthority"    => "CA",
	"certificate"               => "Certificate",
	"serial"                    => "Serial Number",
	"notBefore"                 => "Not Before",
	"notAfter"                  => "Not After",

	/* For LDAP searches */
	"idxpkiProfile"             => "Profile",
	"idxpkiSubject"             => "DN",
	"idxpkiSubjectID"           => "Name",
	"idxpkiSubjectEmail"        => "Email",
	"idxpkiSerial"              => "Serial Number",
	"userCertificate;binary"    => "Certificate",
	"idxpkiCertPublicationTime" => "Publication Date",
	"idxpkiCertExpirationTime"  => "Expiration Date",
	"idxpkiStatus"              => "Status",

	/* These are not in the DN but are also used */
	"sharedSecret"              => "Shared Secret",
	"personalCode"              => "Personal Code",
	"password"                  => "Password",
	"distinguishedName"         => "DN",
	"dn"                        => "DN",
	"name"                      => "Name",
	"surname"                   => "Surname",
	"givenName"                 => "First Name",
	"telephoneNumber"           => "Phone Number",
	"adminEmail"                => "Administrator's Email",
	"adminCert"                 => "Administrator's Certificate",
	"msUPN"                     => "User Principal Name",
	"msGUID"                    => "Globally Unique Identifier",
	"msCertTemplate"            => "Certificate Template Name",

	/* Various */
	"dup"                       => "(confirm)",
	"idxpkiSubjectIDServerMode" => "Server Name",
	"CryptographicServiceProvider" => "Cryptographic Service Provider",
	"KeySize"                   => "Key Size",
	"minKeySize"                => "Minimal Key Size",
	"validity"                  => "Validity Duration",
	"pkcsten"                   => "PKCS#10",
	"subjectAltName"            => "Alternative Name",
	"serverAltName"             => "Server Alternative Name",
	"altNameType"               => "Alternative Name Type",
	"tracking"                  => "Request Identifier",
	"profile"                   => "Profile",
	"mode"                      => "Mode",
	"manual"                    => "Manual",
	"auto"                      => "Automatic",
	"valid"                     => "Valid",
	"revoked"                   => "Revoked",
	"expired"                   => "Expired",
	"unknown"                   => "Unknown",
	"user"                      => "User",
	"admin"                     => "Administrator",
	"ee"                        => "Page on the EE",
	"none"                      => "None",
	"all"                       => "All",
	"escrow"                    => "Escrow",
	"central"                   => "PKCS#12 handling",
	"type"                      => "Type",
	"element"                   => "Element",
	"mandatory"                 => "mandatory",
	"optional"                  => "optional",
	"fixed"                     => "fixed",
	"maxlength"                 => "Maximum length",
	"default"                   => "Default value",
	"verify"                    => "Double input",
	"hidden"                    => "Hidden content (password for example)",
	"encrypt"                   => "Encrypt for",
	"publish"                   => "Publish as",
	"raonly"                    => "RA only",
	"days"                      => "day(s)",
	"years"                     => "year(s)",
	"message"                   => "Message",
	"requester"                 => "Requester",

	/* Revocation and recovery reasons. */
	"reason"                    => "Reason",
	"comment"                   => "Comment",
	"unspecified"               => "unspecified",
	/* Revocation. */
	"keyCompromise"             => "key was compromised",
	"cACompromise"              => "CA was compromised",
	"affiliationChanged"        => "affiliation changed",
	"cessationOfOperation"      => "cessation of operation",
	"superseded"                => "superseded",
	"certificateHold"           => "temporarily withheld",
	"removeFromCRL"             => "remove from CRL",
	/* Recovery. */
	"keyLost"                   => "key lost",
	"serviceContinuity"         => "service continuity",

	/* For CRRs */
	"dn_subject"                => "DN",
	"dn_issuer"                 => "CA",
	"not_before"                => "Validation Date",
	"not_after"                 => "Expiration Date",
	"pk_bitsize"                => "Key Size",
	"sig_algorithm"             => "Signature Algorithm",

	/* For CRLs */
	"last_update"               => "Last Update",
	"next_update"               => "Next Update",
	"certificates"              => "Certificates",
);

?>
