#!/usr/bin/perl -w

# Harness to run unit tests in IDX-PKI.
# This code was developped by IDEALX (http://IDEALX.org/).
# 
# Copyright  2000-2003 IDEALX
# 
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2 as
# published by the Free Software Foundation.
# 
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307,
# USA.

use strict;
use Test::Harness;

format STDOUT_TOP =
Failed Test                                  Status Wstat Total Fail  Failed  List of failed
---------------------------------------------------------------------------------------------------------------
.

format STDOUT =
@<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<< @>> @>>>> @>>>> @>>> ^##.##%  ^<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<
{ $Test::Harness::curtest->{name},
                $Test::Harness::curtest->{estat},
                    $Test::Harness::curtest->{wstat},
                          $Test::Harness::curtest->{max},
                                $Test::Harness::curtest->{failed},
                                     $Test::Harness::curtest->{percent},
                                              $Test::Harness::curtest->{canon}
}
~~                                            ^<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<
                                              $Test::Harness::curtest->{canon}
.

use vars qw(@scripts);

@scripts=map {chomp; $_; } (<STDIN>);

$Test::Harness::verbose  = 1;
# Force the use of IDX::PKI::Config before IDX::Config.
$Test::Harness::switches .= " -MIDX::PKI::Config";

&runtests(@scripts);
