#!/usr/bin/perl -w
#
# This code was developped by IDEALX (http://IDEALX.org/).
# 
# Copyright  2000-2003 IDEALX
# 
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2 as
# published by the Free Software Foundation.
# 
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307,
# USA.

# $Id: transform.pl,v 1.1 2002/03/20 14:09:39 laura Exp $
# $Source: /opt/cvs/idxpki/sources/tools/transform.pl,v $

=pod "

=head1 NAME

in-transform.pl - Parses a F<*.in> template and generates the associated file

=head1 SYNOPSIS

B<in-transform.pl> [I<template>]

=head1 DESCRIPTION

Takes a F<*.in> file as input and returns on the standard output the
substituted version, in an automake-like fashion.

=cut "

use strict;

use FindBin;

# Include installation tools.
use vars qw ($topdir);
$topdir = "$FindBin::RealBin/../";
push (@INC, "$topdir/tools");
require InstallLib;
import  InstallLib ();

# Program global variables.
use vars qw (%CONFIG);
%CONFIG = parseConfigStatus ($topdir);

while (<>) {
	s/\%CONFIG_([A-Z_0-9]+)\%/$CONFIG{$1}/ge;
	print;
}
