#!/usr/bin/perl -w
#
# This code was developped by IDEALX (http://IDEALX.org/).
# 
# Copyright  2000-2003 IDEALX
# 
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2 as
# published by the Free Software Foundation.
# 
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307,
# USA.

# $Id: 403.cgi,v 1.5 2003/01/23 18:26:37 laura Exp $
# $Source: /opt/cvs/idxpki/sources/src/perlscript/403.cgi,v $

=pod "

=head1 NAME

403.cgi - Outputs a "nice" error page

=cut "

use strict;

my $page=<<PAGE;

<HTML>
<HEAD>
<TITLE>IDX-PKI: Access denied</TITLE>
<BODY BGCOLOR="#ffffff">
<IMG SRC="/images/forbidden.png"><FONT SIZE="+5"><B>permission denied</B></FONT><IMG SRC="/images/forbidden.png">
</BODY>
</HTML>
PAGE

if ($ENV{MOD_PERL}) {
	my $r=Apache->request();
	my $oldstatus=$r->status(403);
	$r->content_type("text/html");
	$r->send_http_header();
	$r->print($page);
	$r->status($oldstatus); # We are the last in chain, prevent Apache
	# from further handling the error.
	Apache::exit(@_);
} else {
	require CGI;

	my $q=new CGI;
	$q->print($q->header(-status=>"403 permission denied"));
	$q->print($page);
	CORE::exit(@_);
}
