#!/usr/bin/perl
#
# This code was developped by IDEALX (http://IDEALX.org/).
# 
# Copyright  2000-2003 IDEALX
# 
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2 as
# published by the Free Software Foundation.
# 
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307,
# USA.

=pod "

=head1 NAME

B<ca-crl-gen.pl> - Updates the CRL

=cut "

use Carp;
use IDX::PKI::Log;
use IDX::PKI::Error;
use IDX::PKI::CA;
use IDX::PKI::Crypto::Tools;

my $log;

try {
	$log = new IDX::PKI::Log ();

	$log->attempt ("CRL_ISSUE", sub {
		my $ca = new IDX::PKI::CA ($log);
		my $crl = $ca->issueCrl ();
		return {"-attachment" => $crl};
	});
	exit 0;
} otherwise {
	my ($E) = @_;
	die $E;
};
