#!/usr/bin/perl
#
# This code was developped by IDEALX (http://IDEALX.org/).
# 
# Copyright  2000-2003 IDEALX
# 
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2 as
# published by the Free Software Foundation.
# 
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307,
# USA.

# $Id: ca-csr-transport.cgi,v 1.18 2004/01/26 12:00:19 mbrossard Exp $
# $Source: /opt/cvs/idxpki/sources/src/perlscript/CA/ca-csr-transport.cgi,v $

use strict;
use IDX::PKI::Registry;
use IDX::PKI::Transport::HTTPS;

############### CGI init ####################
$cgi->setupViews("__NONE__");
$cgi->authorize("__NONE__"); # Authentication is done in receive

############### Configuration informations ####################
my $transport = new IDX::PKI::Transport::Receiver::Spooler
  ("TRANSPORT-IN-".$config->getPath("CA", "csr_transport_in"));

################ Receive incoming Message ###############################
my $msg = $cgi->validate("message", \&IDX::PKI::ValidateInput::pem_message);
my $name = $transport->receive($msg, $cgi);
$cgi->success($name);
