<?php
/*
 * This code was developped by IDEALX (http://IDEALX.org/).
 * 
 * Copyright  2000-2003 IDEALX
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 * 
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307,
 * USA.
 */

/* $Id: ee-cert-retrieve.php,v 1.21 2003/05/16 09:32:45 mbrossard Exp $ */
/* $Source: /opt/cvs/idxpki/sources/src/php/EE/ee-cert-retrieve.php,v $ */

$relativepath = "..";
include_once "$relativepath/pki-shared.inc";

/* Get the return value of the cgi. */
$data = getData();

if ($data) 
{
	$extra = '
  <META HTTP-EQUIV="Cache-Control" CONTENT="no cache">
  <META HTTP-EQUIV="Pragma" CONTENT="no cache">
  <META HTTP-EQUIV="Expires" CONTENT="0">
  <!-- The first one is to be used for _unpatched_ IE. -->
  <!-- Cf http://support.microsoft.com/default.aspx?kbid=323172 -->
  <object classid="clsid:43F8F289-7A20-11D0-8F06-00C04FC295E1"
    codebase="xenroll.dll" id="oldCertHelper"></object>
  <object classid="clsid:127698e4-e730-4e5c-a2b1-21490a70c8a1"
    codebase="xenroll.dll" id="newCertHelper"></object>
';
}

print_html_header("ee", "ee-cert-retrieve", $relativepath, $extra);

if ((int)$data < 0) {
	$field = strip_tags ($HTTP_GET_VARS["ERROR"]);
	error ((int) $data, ($field ? msg ("Form", $field, 'i') : ''));
} else {
  print '  <SCRIPT type="text/vbscript"> 
  <!--
  Public sPKCS7
';
  
  $lines = split("\n", $data);
  foreach ($lines as $line) {
	  print "sPKCS7= sPKCS7 & \"$line\" & vbNewLine\n";
  }

  print 'Sub Install()
  Dim sMessage
  On Error Resume Next
  newCertHelper.deleteRequestCert = 0
  oldCertHelper.deleteRequestCert = 0
  // Try the new CSP.
  Err.Number = 0
  Call newCertHelper.AcceptPKCS7(sPKCS7)
  If Err.Number = 0 Then
    // New CSP, imported the certificate.
    Alert "'.msg("EE", "CertificateRetrieved", "i").'"
  Else
    If Err.Number=&H80092004 Then 
      // New CSP, private key not found.
      sMessage = "'.msg("EE", "PrivateKeyNotFound", "i").'"
    Else
      // Try the old CSP.
      Err.Number = 0
      Call oldCertHelper.AcceptPKCS7(sPKCS7)
      If Err.Number = 0 Then
        // Old CSP, imported the certificate.
        Alert "'.msg("EE", "CertificateRetrieved", "i").'"
      Else
        If Err.Number=&H80092004 Then 
          // Old CSP, private key not found.
          sMessage = "'.msg("EE", "PrivateKeyNotFound", "i").'"
        Else
          // Unknown error, neither the new nor the old CSP worked.
          sMessage = "'.msg("EE", "UnknownError", "i").'"
        End If
      End If
    End If
    If Len (sMessage) Then
      Alert sMessage & " : " & Err.Number & vbCrLf & Err.Description
    End If
  End If
End Sub
-->
</SCRIPT>
';
  print yellow_msg ("EE", "CertificateSuccessfullyGenerated", "success");
  
  print "<Form Name=\"UIForm\">\n<A Href=\"\" OnClick=Install()>".
	  msg("Message", "ClickHereToInstallYourCertificate", "i").
	  "</A>\n</Form>\n";
}

print_html_footer();

?>