<?php
/*
 * This code was developped by IDEALX (http://IDEALX.org/).
 * 
 * Copyright  2000-2003 IDEALX
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 * 
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307,
 * USA.
 */

/* $Id: ee-csr-confirm.php,v 1.2 2003/05/16 09:32:45 mbrossard Exp $ */
/* $Source: /opt/cvs/idxpki/sources/src/php/EE/ee-csr-confirm.php,v $ */

$relativepath = "..";
include_once "$relativepath/pki-shared.inc";

/* Get the return value of the cgi. */
$data = getData();
/* Profile informations. */
$profile = getProfile();

print_html_header("ee", "ee-csr-form", $relativepath);

if (!isset ($data)) {
	error ("ThisScriptShouldNotBeCalledDirectly");
} else {
	print "<form method='POST' action='ee-csr-send.cgi'>\n";

	/* DN and form elements: Keep them as is for further submission. */
	foreach (array ("rdns", "form") as $elemtype) {
		foreach ($profile[$elemtype] as $elem) {
			$name = $elem["long"];
			$count = ++ $counter[$name];

			/* Check if the field has to be asked twice. */
			$verif = ($elem["options"]["verify"]) ? array (".a", ".b") :
				array ("");
			foreach ($verif as $append) {
				/* Fixed fields are handled in CGIs. */
				if (($elem["req"] != "fixed") &&
					(! $elem["options"]["raonly"])) {
					print "<input type='hidden' name='$name$count$append' ".
						"value='".$HTTP_GET_VARS["$name$count$append"].
						"' />\n";
				}	/* End of test not fixed, not raonly. */
			}	/* End of loop in case of verify. */
		}	/* End of loop on elements. */
	}	/* End of loop "rdns", "form". */

	print yellow_msg ("EE", "ConfirmationPage","info");

	print begin_table ();

	/* $data contains what we should display. */
	$dn    = $data[0];
	$forms = $data[1];

	print table_title_line (msg ("Message", "DistinguishedName", "i"));
	while (count ($dn)) {
		$k = array_shift ($dn);
		$v = array_shift ($dn);
		print table_element_line (msg ("Form", $k, "i"), $v);
	}

	print table_title_line (msg ("Message", "Data", "i"));
	foreach ($forms as $k => $v) {
		print table_element_line (msg ("Form", $k, "i"), $v);
	}

	print end_table ();
	print "<input type='hidden' name='profile' value='".$profile["profile"].
		"'>\n";

	print "<input type='submit' name='sendrequest' value='".
		msg ("Value", "Send",  "n")."'>\n";
	print "<input type='submit' name='editrequest' value='".
		msg ("Value", "Reset",  "n")."'>\n";
	print "</form>\n";
}

print_html_footer();

?>
