<?php
/*
 * This code was developped by IDEALX (http://IDEALX.org/).
 * 
 * Copyright  2000-2003 IDEALX
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 * 
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307,
 * USA.
 */

$revoking = $HTTP_GET_VARS["revoking"] || $HTTP_GET_VARS["TRUSTED_revoking"];
$recovery = $HTTP_GET_VARS["recovery"] || $HTTP_GET_VARS["TRUSTED_recovery"];

$titleref  =  "ra-search";
if ($revoking) {
	$titleref  = "ra-searchrevok";
}
if  ($recovery) {
	$titleref  = "ra-searchrecov";
}

$relativepath = "..";
include_once "$relativepath/pki-shared.inc";

print_html_header("ra", $titleref, $relativepath);

/* Get the return value of the cgi. */
$data = getData();

/* If we weren't called by CGI or if some modifications are required from
   user, display the form. */

if (!isset ($data) || ((int)$data < 0)) {
	if ((int)$data < 0) {
		$field = strip_tags ($HTTP_GET_VARS["ERROR"]);
		error ((int) $data, ($field ? msg ("Form", $field, 'i') : ''));
	}

	/* The list of parameters we expect. */
	$params = array (
		"idxpkiSubjectID",
		"idxpkiSubjectEmail",
		"idxpkiSerial",
	);

	print '<form action="ra-certs-search.cgi" method="post" style="clear:both; padding: 0px; margin: 0px;">
';
	if ($revoking) {
		print yellow_msg("RA", "UseThisFormToRevokeCertificates", "info");
		print '<input type="hidden" name="revoking" value="1">';
	} else {
	    if ($recovery) {
            print yellow_msg("RA", "UseThisFormToRecoverCertificates", "info");
	        print '<input type="hidden" name="recovery" value="1">';
        } else {
		    print yellow_msg("RA", "UseThisFormToSearchForCertificates", "info");
        }
	}

	print '<table width="100%" border="0" cellspacing="0" cellpadding="7" bgcolor="#E5ECEE">
';
	foreach ($params as $k) {
		$v = msg("Form", $k, "i");
		print '<tr><td>
<font face="Arial Narrow, Geneva, Arial" size="2" color="#00415A">'.$v.':</font>
</td><td>
<input type="text" name="'.$k.'" value="'.$HTTP_GET_VARS["TRUSTED_".$k].'">
</td></tr>
';
	}
	print "</table>\n";
	print "<input type='submit' value='".msg("Value","Search", "n")."'>\n</form>\n";
} else {
	/* Display the result of our query. */
	if (count($data) == 0) {
		print yellow_msg ("Message", "NoMatchingCertificate", "info"); 
	} else {
		do_msg ("Message", "NumberOfMatchingCertificates", "p",
				count($data).".");
		foreach ($data as $i => $cert) {
			$num = $i + 1;
			do_msg("Message", "Certificate", "h2", $num);
			print '<table width="100%" border="0" cellspacing="0" cellpadding="5" bgcolor="#E5ECEE">
';
			foreach ($cert as $k => $v) {
				$label = msg("Form", $k, "i");
				/* Translate the value? */
				if ($k == "idxpkiStatus") $v = msg ("Form", $v, "i");
				if (isset ($label) && isset ($v) && ($v != "")) {
					print '<tr><td width="15%" nowrap align="right"><b>'.
						'<font face="Arial Narrow, Geneva, Arial" size="2" color="#00415A">'.
						$label.":</font></b></td>\n";
					print '<span class="label"><td>'.$v.'</td></span></tr>';
				}
			}
			print '</table>
';
			if ($revoking) {
				print '<form action="ra-crr-create.cgi" method="post">
<input type="submit" name="submit" value="'.
					msg("Value", "RevokeThisCertificate", "i").'">
<input type="hidden" name="idxpkiSerial" value="'.$cert["idxpkiSerial"].'">
</form>';
			}
			if ($recovery) {
				print '<form action="ra-krr-create.cgi" method="post">
<input type="submit" name="submit" value="'.
					msg("Value", "RecoverThisCertificate", "i").'">
<input type="hidden" name="serial" value="'.$cert["idxpkiSerial"].'">
</form>';
			}

		}
	}
}

print_html_footer();

?>
