<?php
/*
 * This code was developped by IDEALX (http://IDEALX.org/).
 * 
 * Copyright  2000-2003 IDEALX
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 * 
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307,
 * USA.
 */

$relativepath = "..";
include_once "$relativepath/pki-shared.inc";

print_html_header("ra", "ra-csr-reject", $relativepath);

/* Get the return value of the cgi. */
$data = getData();

if (isset ($data) && ((int) $data == 0)) {
	/* The CSR has been successfully rejected. */
	print yellow_msg ("Message", "CSRRejected", "success");
} else {
	/* Either the admin has not yet entered his comment, or there was an
	   error. */
	print yellow_msg ("RA", "warningCSRreject", "error");

	if ((int) $data < 0) {
		$field = strip_tags ($HTTP_GET_VARS["ERROR"]);
		error ((int) $data, ($field ? msg ("Form", $field, 'i') : ''));
	}

	$myid = $HTTP_GET_VARS["id"];

	print begin_form("ra-csr-reject.cgi");
	print "<input type=\"hidden\" name=\"id\" value=\"$myid\">\n";

	print "<p>".msg ("Form", "reason", "i")."<br>\n";
	print "<textarea name='reason' rows='10' cols='40'>".
		$HTTP_GET_VARS["reason"]."</textarea></p>\n";

	print "<input type=\"hidden\" name=\"commentdone\" value=\"1\" />\n";
	print "<input type=\"submit\" value=\"".msg ("Value", "Reject", "n").
		"\" />\n";
	print end_form ();

	print quick_form ("ra-csr-validate.cgi", "id", $myid,
					  msg ("Value", "Cancel", "n"));

}

print_html_footer();

?>
