<?php
/*
 * This code was developped by IDEALX (http://IDEALX.org/).
 * 
 * Copyright  2000-2003 IDEALX
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 * 
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307,
 * USA.
 */

/* $Id: ra-csr-send.php,v 1.12 2004/02/04 14:43:10 mbrossard Exp $ */
/* $Source: /opt/cvs/idxpki/sources/src/php/RA/ra-csr-send.php,v $ */

$relativepath = "..";
include_once "$relativepath/pki-shared.inc";

print_html_header("ra", "ra-csr-send", $relativepath);

/* Get the return value of the cgi. */
$data = getData();

if (!isset ($data)) {
	error ("ThisScriptShouldNotBeCalledDirectly");
} elseif ((int)$data < 0) {
	/* Out some error messages. */
	$field = strip_tags($HTTP_GET_VARS["ERROR"]);
	error ((int)$data, ($field ? msg ("Form", $field, "i") : ""));
} else {
	print yellow_msg("RA", "RequestSentToCA", "success");

	if($data) {
	  print begin_table();
	  foreach($data as $a) {
		print table_element_line (msg ("Form", $a[0], "i"), $a[1]);
	  }
	  print end_table();	  
	}
}

print_html_footer();

?>
