<?php
/*
 * This code was developped by IDEALX (http://IDEALX.org/).
 * 
 * Copyright  2000-2003 IDEALX
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 * 
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307,
 * USA.
 */

/* $Id: config-ee.php,v 1.20 2003/08/07 11:40:29 mbrossard Exp $ */
/* $Source: /opt/cvs/idxpki/sources/src/php/config/config-ee.php,v $ */

$relativepath = "..";
include_once "$relativepath/pki-shared.inc";

print_html_header("config", "config-ee", $relativepath);

/* Get the return value of the cgi. */
$data = getData();

if (((int)$data) < 0) {
	$field = strip_tags ($HTTP_GET_VARS["ERROR"]);
	error ((int) $data, ($field ? msg ("Form", $field, 'i') : ''));
} elseif(((int)$data) == 1)	{
	print yellow_msg("Message", "ConfigurationSuccessfullyUpdated",
					 "success");
}


$options = array ();

print begin_form("config-ee.cgi").begin_table();

foreach ($options as $option => $values) {
	$opt = "";
	foreach($values as $val) {
		$selected = (($HTTP_GET_VARS["$option"] == $val) ?
					 '" selected' : '"');
		$opt .= '<option value="'.$val.$selected.'>'.
			 msg("Form", $val, "n")."</option>\n";
	}
	$sel = '<select name="'.$option.'">'."\n".$opt.'</select>'."\n";
	print table_element_line($star.msg("Form", $option, "i").':', $sel);
}

print table_element_line(msg("Form", "adminEmail", "i").':',
						 "<input type='text' size='20' name='admin_email' ".
						 "value='".$HTTP_GET_VARS["admin_email"]."'/>");
print end_table();

print '<input type="submit" name="valid" value="'.msg("Value", "Save", "n").'">
</form>
';

print_html_footer();

?>

