<?php
/*
 * This code was developped by IDEALX (http://IDEALX.org/).
 * 
 * Copyright  2000-2003 IDEALX
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 * 
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307,
 * USA.
 */

$MSG["EE"]["en"] = array (

	# EE Menu
	"Home"                         => "Home",
	"GetCACertificate"             => "Get CA Certificate",
	"RequestACertificate"          => "Request A Certificate",
	"RequestACentralCertificate"   => "Request A Central Certificate",
	"RequestAServerCertificate"    => "Request A Server Certificate",
	"SearchForACertificate"        => "Search For A Certificate",
	"SearchForAServerCertificate"  => "Search For A Server Certificate",
	"RecoverACertificate"          => "Recover A Keypair",
	"RevokeYourCertificate"        => "Revoke Your Certificate",
	"RevokeACertificate"           => "Revoke A Certificate",

	"CertificateToBeRevoked" => "Certificate to be revoked:",

	"Warning" => "<strong class='highlight'>Warning!</strong>",

	"Welcome1" =>
		"Welcome to the IDX-PKI Enrolment Entity main page. ".
		"You might want to start by integrating the ".
		"CA Certificate.",	/* $HTTP_USER_AGENT is empty here. */

	"Welcome2" =>
		"From this page you can ".
		html_link("ee-csr-profile.cgi", "request", "l").
		" a new certificate or ".
		html_link("ee-crr-create.php", "revoke", "l").
		" your certificate.",

	"YouAreAboutToRevoke" =>
		"You are about to revoke a certificate: Do check that ".
		"the following data matches the certificate you want to revoke. ".
		"Otherwise, reconnect using the certificate to be revoked.",

	"WarningRevokeOtherCert" =>
		"You are about to revoke a certificate: Do check that ".
		"the following data matches the certificate you want to revoke. ".
		"Otherwise, go back to the ".
		"<a href='ee-certs-search.php?revoking=1'>search form</a>.",

	"RetrievePKCS12" =>
		"You are about to retrieve a PKCS#12 file.  This file, which ".
		"contains a certificate and a private key, can be integrated into ".
		"different applications (Internet Explorer, Netscape, ...), but ".
		"requires the knowledge of the password entered in the request to ".
		"to be used.",

	"UseValidEmailAddresse" =>
		"You have to indicate a valid email address, or you won't receive ".
		"the confirmation message when your certificate is ready.",

	"YouMustConnectSecure" =>
		"You must connect to the secure site with a certificate.",

	"YouMustKeepTheSecret" =>
		"You must keep the secret until the publication of your certificate.".
		"The secret can be used by the administrator to verify the origin of ".
		"your request.",

	"YourRequestHasBeenSent" =>
		"Your request has been sent to the Registration ".
		"Authority. You will receive an email that will inform ".
		"you on how to retrieve your certificate when it is ".
		"accessible.",

	"ConfirmationPage" => "You are about to submit a server certificate ".
		"request. Please verify that the informations are consistent.",

	"CertificateSuccessfullyGenerated" =>
	   "Your certificate has been successfully generated. You can now ".
	   "install it in your navigator.",

	"CertificateRetrieved" => "Certificate retrieved successfully.",

	"CertificateToBeRecoverd" => "Ask for the recovery of the key pair ".
		"which is associated to the following certificate:",

	"PrivateKeyNotFound" => "Private key not found in your database.",

	"UnknownError" => "Unknown error.",

	"KeyPairGenFailed" => "Key pair generation failed",
);

?>
