<?php
/*
 * This code was developped by IDEALX (http://IDEALX.org/).
 * 
 * Copyright  2000-2003 IDEALX
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 * 
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307,
 * USA.
 */

/* $Id: Error.inc,v 1.16 2003/02/20 13:58:46 laura Exp $ */
/* $Source: /opt/cvs/idxpki/sources/src/php/i18n/en/Error.inc,v $ */

/*
 * IDX-PKI standard error messages.
 */

$MSG["Error"]["en"] = array ( 
	"ActivateScriptsToGenerateKey" =>
		"Please activate scripts or you won't be able to generate a key.",

	"NoModifyOwnAccessRights" =>
		"You are not allowed to modify your own access rights.",

	"PageMustFirstBeCalledFrom" => "This page must first be called from: ",

	"ThisScriptShouldNotBeCalledDirectly" =>
		"This script should not be called directly.",

	"UserExists" => "The user #%u already exists.", /* Takes a number */

	/* -10 to -19: Configuration errors */
	-10 => "Configuration error: Configuration file not found or incorrect",
	-11 => "Configuration error: Missing parameter",
	-12 => "Configuration error: Can't save configuration file",
	-13 => "Can't open configuration file in read/write mode",
	-14 => "Error: There is already a profile named ",

	/* -20 to -29: Transport errors */
	-20 => "Transport initialisation error",
	-21 => "Transport error while retrieving pending messages list",
	-22 => "Transport error while retrieving message",
	-23 => "Transport assertion type error",
	-24 => "Deserialisation transport error",
 
	/* -30 to -39: CSR Errors */
	-30 => "CSR creation error",
	-31 => "Error: Generated key size is too small",
	-32 => "Error while sending CSR",
	-33 => "Invalid request: CSR not found",

	/* -40 to -49: CRR Errors */
	-40 => "Error while creating CRR",
	-41 => "Error while sending CRR",
	-42 => "Invalid request: CRR not found",
	-43 => "No certificate in the request",

	/* -50 to -59: LDAP Error */
	-50 => "Error while connecting to LDAP Server",
	-51 => "LDAP Error while publishing",
	-52 => "No entry found",
	-53 => "No certificate found on the LDAP server",
	-54 => "There are too many responses. Please give more specific search ".
		"criteria",

	/* -60 to -69: Misc errors  */
	-60 => "Error: Invalid or missing request parameter",
	-61 => "Error: The following field is mandatory: ",
	-62 => "Error: The following field has an invalid format: ",
	-63 => "Error: The following field is too long: ",
	-64 => "Error in certificate generation",
	-65 => "Error: One field (at least) has to be filled",
	-66 => "Error: Unsupported web browser",
	-67 => "Error: The two values don't match for the following field: ",

	/* -70 to -79: Key escrow errors */
	-70 => "No email address to send the recovered key and certificate to",

	/* < -1000: Client-specific errors */
	/* Nothing here in main IDX-PKI by definition. */
);

?>
