<?php
/*
 * This code was developped by IDEALX (http://IDEALX.org/).
 * 
 * Copyright  2000-2003 IDEALX
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 * 
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307,
 * USA.
 */

/* $Id: Error.inc,v 1.14 2003/02/20 13:58:48 laura Exp $ */
/* $Source: /opt/cvs/idxpki/sources/src/php/i18n/fr/Error.inc,v $ */

/*
 * IDX-PKI standard error messages.
 */

$MSG["Error"]["fr"] = array ( 
	"ActivateScriptsToGenerateKey" =>
		"Veuillez activer les scripts sans quoi vous ne pourrez pas ".
		"gnrer une clef.",

	"ThisScriptShouldNotBeCalledDirectly" =>
		"Ce script ne devrait pas tre appel directement.",

	"NoModifyOwnAccessRights" =>
		"Vous n'tes pas autoris  modifier vos propres droits d'accs.",

	"PageMustFirstBeCalledFrom" =>
		"Cette page doit d'abord tre appele depuis: ",

	"UserExists" => "L'utilisateur %u existe dj.", /* Takes a number */

	/* -10  -19: Configuration errors */
	-10 => "Erreur de configuration: fichier de configuration introuvable ".
		"ou incorrect",
	-11 => "Erreur de configuration: paramtre manquant",
	-12 => "Erreur de configuration: impossible d'enregistrer le fichier ".
		"de configuration",
	-13 => "Impossible d'ouvrir le fichier de configuration en mode ".
		"lecture/criture",
	-14 => "Erreur: il existe dj un profil du nom de ",

	/* -20  -29: Transport errors */
	-20 => "Erreur d'initialisation du transport",
	-21 => "Erreur de transport lors de la rcupration de la liste ".
		"des messages en attente",
	-22 => "Erreur de transport lors de la rcupration d'un message",
	-23 => "Erreur de type d'assertion pour le transport",
	-24 => "Erreur de transport au niveau de la dsrialisation",
 
	/* -30  -39: CSR errors */
	-30 => "Erreur lors de la cration de la CSR",
	-31 => "Erreur: la taille de la clef gnre est trop petite",
	-32 => "Erreur lors de l'envoi de la CSR",
	-33 => "Requte invalide: CSR introuvable",
	-34 => "Erreur : mot de passe invalide.",

	/* -40  -49: CRR errors */
	-40 => "Erreur lors de la cration de la CRR",
	-41 => "Erreur lors de l'envoi de la CRR",
	-42 => "Requte invalide: CRR introuvable",
	-43 => "Pas de certificat dans la requte",

	/* -50  -59: LDAP errors */
	-50 => "Erreur lors de la connexion au serveur LDAP",
	-51 => "Erreur LDAP lors de la publication",
	-52 => "Aucune entre LDAP trouve",
	-53 => "Aucun certificat trouv sur le serveur LDAP",
	-54 => "Il y a trop de rponses. Veuillez donner des critres de ".
		"recherche plus spcifiques",

	/* -60  -69: Misc errors */
	-60 => "Erreur: paramtre de requte invalide ou manquant",
	-61 => "Erreur: le champ suivant est obligatoire: ",
	-62 => "Erreur: le champ suivant a un format invalide: ",
	-63 => "Erreur: le contenu du champ suivant est trop long: ",
	-64 => "Erreur lors de la gnration du certificat",
	-65 => "Erreur: il faut remplir au moins un champ",
	-66 => "Erreur: navigateur web non support",
	-67 => "Erreur: les deux valeurs ne correspondent pas pour le champ ",

	/* -70 to -79: Key escrow errors */
	-70 => "Pas d'adresse lectronique  laquelle envoyer la clef et le ".
		"certificat recouvrs",

	/* < -1000: Client-specific errors */
	/* Nothing here in main IDX-PKI by definition. */
);

?>
