<?php
/*
 * This code was developped by IDEALX (http://IDEALX.org/).
 * 
 * Copyright  2000-2003 IDEALX
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 * 
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307,
 * USA.
 */

$MSG["Form"]["fr"] = array (
	/* DN elements */
	"commonName"                => "Nom commun (CN)",
	"uniqueIdentifier"          => "Identifiant unique",
	"userID"                    => "Identifiant d'utilisateur",
	"emailAddress"              => "Adresse lectronique",
	"title"                     => "Titre",
	"description"               => "Description",
	"organizationalUnitName"    => "Unit organisationnelle",
	"organizationName"          => "Organisation",
	"localityName"              => "Ville",
	"stateOrProvinceName"       => "tat ou province",
	"countryName"               => "Pays (code  deux lettres)",

	/* Other informations in the certificate */
	"certificationAuthority"    => "AC",
	"certificate"               => "Certificat",
	"serial"                    => "Numro de srie",
	"notBefore"                 => "Pas avant",
	"notAfter"                  => "Pas aprs",

	/* For LDAP searches */
	"idxpkiProfile"             => "Profil",
	"idxpkiSubject"             => "DN",
	"idxpkiSubjectID"           => "Nom",
	"idxpkiSubjectEmail"        => "Adresse lectronique",
	"idxpkiSerial"              => "Numro de srie",
	"userCertificate;binary"    => "Certificat",
	"idxpkiCertPublicationTime" => "Date de publication",
	"idxpkiCertExpirationTime"  => "Date d'expiration",
	"idxpkiStatus"              => "Statut",

	/* These are not in the DN but are also used */
	"sharedSecret"              => "Secret partag",
	"personalCode"              => "Code Personel",
	"password"                  => "Mot de passe",
	"distinguishedName"         => "DN",
	"dn"                        => "DN",
	"name"                      => "Nom",
	"surname"                   => "Nom de famille", /* Or "surnom"? */
	"givenName"                 => "Prnom",
	"telephoneNumber"           => "Tlphone",
	"adminEmail"                => "Adresse lectronique de l'administrateur",
	"adminCert"                 => "Certificat de l'administrateur",
	"msUPN"                     => "Nom principal de l'utilisateur",
	"msGUID"                    => "Identifiant unique Microsoft (GUID)",
	"msCertTemplate"            => "Nom du gabarit de certificat",

	/* Various */
	"dup"                       => "(confirmation)",
	"idxpkiSubjectIDServerMode" => "Nom du serveur",
	"CryptographicServiceProvider" => "Fournisseur de service ".
		"cryptographique",
	"KeySize"                   => "Taille de clef",
	"minKeySize"                => "Taille minimale de clef",
	"validity"                  => "Dure de validit",
	"pkcsten"                   => "PKCS#10",
	"subjectAltName"            => "Nom alternatif",
	"serverAltName"             => "Nom alternatif du serveur",
	"altNameType"               => "Type de nom alternatif",
	"tracking"                  => "Identifiant de la demande",
	"profile"                   => "Profil",
	"mode"                      => "Mode",
	"manual"                    => "Manuel",
	"auto"                      => "Auto",
	"valid"                     => "Valide",
	"revoked"                   => "Revoqu",
	"expired"                   => "Expir",
	"unknown"                   => "Inconnu",
	"user"                      => "Utilisateur",
	"admin"                     => "Administrateur",
	"ee"                        => "Page sur l'EE",
	"none"                      => "Aucun",
	"all"                       => "Tous",
	"escrow"                    => "Squestre",
	"central"                   => "Gestion des PKCS#12",
	"type"                      => "Type",
	"element"                   => "Elment",
	"mandatory"                 => "obligatoire",
	"optional"                  => "facultatif",
	"fixed"                     => "fix",
	"maxlength"                 => "Taille maximale",
	"default"                   => "Valeur par dfaut",
	"verify"                    => "Double saisie",
	"hidden"                    => "Contenu cach (par exemple mot de passe)",
	"encrypt"                   => "Chiffrer pour",
	"publish"                   => "Publier comme",
	"raonly"                    => "AE seulement",
	"days"                      => "jour(s)",
	"years"                     => "an(s)",
	"message"                   => "Message",
	"requester"                 => "Demandeur",

	/* Revocation and recovery reasons. */
	"reason"                    => "Raison",
	"comment"                   => "Commentaire",
	"unspecified"               => "non spcifi",
	/* Revocation. */
	"keyCompromise"             => "compromission de la clef",
	"cACompromise"              => "compromission de l'AC",
	"affiliationChanged"        => "changement d'affiliation",
	"cessationOfOperation"      => "cessation d'activit",
	"superseded"                => "certificat remplac",
	"certificateHold"           => "suspension temporaire",
	"removeFromCRL"             => "supprimer de la CRL",
	/* Recovery. */
	"keyLost"                   => "clef perdue",
	"serviceContinuity"         => "continuit de service",

	/* For CRRs */
	"dn_subject"                => "DN",
	"dn_issuer"                 => "CA",
	"not_before"                => "Date de validation",
	"not_after"                 => "Date d'expiration",
	"pk_bitsize"                => "Taille de la clef",
	"sig_algorithm"             => "Algorithme de signature",

	/* For CRLs */
	"last_update"               => "Dernire mise  jour",
	"next_update"               => "Prochaine mise  jour",
	"certificates"              => "Certificats",
);

?>
