<?php
/*
 * This code was developped by IDEALX (http://IDEALX.org/).
 * 
 * Copyright  2000-2003 IDEALX
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 * 
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307,
 * USA.
 */

$pkientity = "main";
$titleref = "main";
$relativepath = ".";

include_once "$relativepath/CompileTime.inc";	/* Keep it first! */
include_once "$relativepath/i18n/i18n.inc";
include_once "$relativepath/pki-shared.inc";

/* HTML headers and style sheet. */
print "<html>\n";
print "<head>\n";
print "<meta http-equiv='Content-Type' content='text/html; ".
	"charset=iso-8859-1'>\n";
print "<title>IDX-PKI</title>\n";

print "<link rel='stylesheet' href='/css/v4browsers.css' type='text/css'>\n";
print "<style type='text/css' media='screen'>\n";
print "<!--\n";
print ".nobg {\nbackground-image: none;\n}\n";
print ".bigTitle {\n".
	"font-family: \"Trebuchet MS\", Arial, Helvetica, sans-serif;\n".
	"font-size: 30px;\nfont-weight: bold;\nfont-style: italic;\n".
	"color: #FFFFFF;\nbackground-image: none;\n}\n";
print ".subTitle {\n".
	"font-family: \"Trebuchet MS\", Arial, Helvetica, sans-serif;\n".
	"font-size: 16px;\nfont-weight: bold;\nfont-style: italic;\n".
	"line-height: 150%;\n".
	"color: #FFFFFF;\nbackground-image: none;\n}\n";
print ".bullets {\n".
	"font-family: \"Trebuchet MS\", Arial, Helvetica, sans-serif;\n".
	"font-size: 14px;\n".
	"line-height: 200%;\n".
	"color: #FFFFFF;\nbackground-image: none;\n}\n";
print "a {\ncolor: #fff;\ntext-decoration: none;\n}\n";
print "-->\n";
print "</style>\n";
print "</head>\n";

/* Body beginning. */
print "<body bgcolor='#FFFFFF' text='#000000' leftmargin='0' topmargin='0' ".
	"marginwidth='0' marginheight='0'>\n";
print "<table width='100%' border='0' cellspacing='0' cellpadding='0' \n".
	"height='100%'><tr><td align='center' valign='middle'>\n";

/* Header: IDX-PKI logo and langage choice. */
print "<table width='612' border='0' cellspacing='6' cellpadding='0' ".
	"align='center'><tr>\n";
print "<td width='49%' valign='bottom'>\n".
	"<img src='images/logo_idx-pki.gif' alt='IDX-PKI' ".
	"width='143' height='31' />\n".
	"</td>\n";
print "<td width='49%' align='right' valign='bottom'>&nbsp;</td>";
/*
print "<td width='49%' align='right' valign='bottom'>\n".
	"<form method='post' action='index.php' class='right' ".
	"style='border: 0px; padding: 0px'>\n".
	"<font face='Arial Narrow, Geneva, Arial' size='2' color='#333333'>".
	msg ("Main", "ChooseLanguage", "i").":</font>\n".
	"<select name='lang'>".
	"<option value='en'".($lang == "en" ? " selected" : "").
		">English</option>".
	"<option value='fr'".($lang == "fr" ? " selected" : "").
		">Franais</option>".
	"</select>\n".
	"<input type='submit' name='OK' value='OK' />\n".
	"</form>\n".
	"</td>";
*/
print "</tr></table>\n";

/* Begin of center zone. */
print "<table width='600' border='0' cellspacing='0' cellpadding='1' ".
	"align='center' background='images/splash_bg.gif'><tr><td>\n";

/* Main text and menu. */
print "<table width='100%' border='0' cellspacing='0' cellpadding='0' ".
	"height='437' align='center' class='nobg'>\n";
print "<tr valign='bottom'>\n";
print "<td class='bigTitle' height='144'>&nbsp;</td>\n";
print "<td class='bigTitle' height='144' colspan='3'>".
	msg ("Message", "SplashWelcome", "i")."</td>\n";
print "</tr>\n";
print "<tr>\n";
print "<td class='nobg'>&nbsp;</td>\n";
print "<td class='nobg'>&nbsp;</td>\n";
print "<td class='subTitle' valign='top' colspan='2'>".
	msg ("Message", "SplashModulesPresentation", "i")."</td>\n";
print "</tr>\n";
print "<tr>\n";
print "<td class='nobg'><img src='images/spacer.gif' width='72' ".
	"height='1' alt=' '></td>\n";
print "<td class='nobg'><img src='images/spacer.gif' width='170' ".
	"height='1' alt=' '></td>\n";
print "<td class='nobg'><img src='images/spacer.gif' width='50' ".
	"height='1' alt=' '></td>\n";
print "<td valign='top' class='nobg'><span class='bullets'>";
foreach (avail_mods ("long") as $modlink) {
	print "<img src='images/splash_plus.gif' width='7' height='7' ".
		"hspace='15' align='absmiddle' border='0' alt='* '>$modlink<br />\n";
}
print "</span></td>\n";
print "</tr>\n";
print "</table>\n";

/* Footer. */
print "<table width='100%' border='0' cellspacing='0' cellpadding='0' ".
	"align='center'>\n";
print "<tr><td bgcolor='#004B8B' align='right' class='nobg'>".
	"<img src='images/pix_004B8B.gif' width='598' height='1' border='0' ".
	"alt=''/></td></tr>\n";
print "<tr align='right'><td bgcolor='#FFFFFF' class='nobg'>".
	"<img src='images/logo_IDEALX.gif' width='95' height='37' ".
	"alt='IDEALX' /></td></tr>\n";
print "</table>\n";

/* End of center zone. */
print "</td></tr></table>\n";

/* Body ending. */
print "</td></tr></table>\n</body>\n";

?>
