<?php

$oldstyle = 1;
if ($oldstyle) {
	$w1 = "612";
	$w2 = "600";
	$w3 = "592";
	$w4 = "480";
	$w5 = "598";
} else {
	$w1 = "95%";
	$w2 = "95%";
	$w3 = "95%";
	$w4 = "95%";
	$w5 = "95%";
}

function print_html_header($pkientity, $titleref, $relativepath,
						   $extra = "",
						   $menupath = "",
						   $logo = "/images/logo_idx-pki.gif",
						   $logoalt = "IDX-PKI") {
	global $HTTP_SERVER_VARS;
	global $HTTP_ENV_VARS;
	global $HTTP_GET_VARS;

	global $w1, $w2, $w3, $w4;
	$entitiesmenus = array (
							"ca"     => "CA/ca-menu.inc",
							"ra"     => "RA/ra-menu.inc",
							"ee"     => "EE/ee-menu.inc",
							"logs"   => "logs/logs-menu.inc",
							"escrow" => "escrow/escrow-menu.inc",
							"config" => "config/config-menu.inc",
							);

	$entity = msg ("EntityList", $pkientity, "n");
	$title  = msg ("TitleList", $titleref, "n");
	if ($entitiesmenus[$pkientity]) {
		$menupath = $relativepath."/".$entitiesmenus[$pkientity];
	}

	/*
	 * Warning: The stylesheet must be placed *before* the extra headers
	 * because Netscape doesn't show the background image when an <object> is
	 * called before the CSS. (!!)
	 */
	$full_title = $entity.($title ? ' - '.$title : '');
	$full_extra =
		 "<meta http-equiv=\"Content-Type\" content=\"text/html; charset=iso-8859-1\">\n".
		 "<link rel=\"stylesheet\" href=\"/css/v4browsers.css\" type=\"text/css\">\n".
		 "<style type=\"text/css\" media=\"screen\">\n".
		 "	@import url(/css/v4browsersExtend.css);\n".
		 "</style>\n".
		 $extra;
	$body_attr = "bgcolor='#FFFFFF' text='#333333' link='#555555' vlink='#555555' leftmargin='10' topmargin='10' marginwidth='10' marginheight='10'";

	html_begin($full_title, $full_extra, $body_attr);

	if ($logo) {
		if (! $logoalt) {$logoalt = " ";}
		print '
	<table border="0" width="'.$w1.'" cellspacing="6" cellpadding="0" align="center">
  	  <tr>
    	<td width="39%" valign="bottom"><a href="/"><img border="0" src="'.$logo.'" alt="'.$logoalt.'" width="143" height="31" /></a></td>
    	<td width="59%" align="right" valign="bottom">
       </td>
  	  </tr>
	</table>
';
		//      	  <form name="language" method="post" action="'.$HTTP_SERVER_VARS["HTTP_REFERER"].'" class="right" style="border: 0px; padding: 0px">
		//            <table><tr>
		//            <td><font face="Arial Narrow, Geneva, Arial" size="2" color="#333333">'.msg("Main", "ChooseLanguage","n").':</font></td>
		//        	<td><select name="lang">'.list_of_langs().'</select></td>
		//        	<td><input type="submit" name="OK" value="OK" /></td>
		//            </tr></table>
		//      	  </form>
	}

	print '<table width="'.$w2.'" border="0" cellspacing="0" cellpadding="1" align="center" bgcolor="#004B8B">
  	  <tr>
       	<td>
       	  <table width="100%" border="0" cellspacing="0" cellpadding="0">
       	  <tr>
       	    <td colspan="3" background="/images/header_background.gif">
       		  <table width="100%" border="0" cellspacing="0" cellpadding="7">
       		    <tr>
                  <td align="right" class="navbar"><font face="Arial Narrow, Geneva, Arial" color="#FFFFFF" size="3">'.join(" &#149; ", avail_mods("long")).'</font></td>
                </tr>
       		  </table>
 	   	    </td>
	   	  </tr>
	      <tr>
            <td colspan="3" bgcolor="#004B8B"><img src="/images/pix_004B8B.gif" width="'.$w3.'" height="1" border="0" /></td>
          </tr>
          <tr>
            <td colspan="3" align="right">
              <table width="100%" border="0" cellspacing="0" cellpadding="7">
                <tr>
                  <td align="right" bgcolor="#0090CF">
                    <font face="Trebuchet MS, Arial, Helvetica, sans-serif" color="#FFFFFF" size="5">'.($title ? $title : $entity).'</font>
                  </td>
                </tr>
              </table>
            </td>
          </tr>
          <tr>
            <td colspan="3" bgcolor="#004B8B" align="right"><img src="/images/pix_004B8B.gif" width="100%" height="1" border="0" /></td>
          </tr>
	      <tr>
';
	if ($menupath != "") {
		include_once $menupath;
	} elseif (isset($menucontent)) {
		echo $menucontent;
	} else {
		print "<img src='/images/spacer.gif' alt=' ' height='1' ".
			"width='100'>\n";
	}
	print '<td align="right" width="1" valign="top"><img src="/images/pix_004B8B.gif" width="1" height="1" /></td>
       <td align="center" bgcolor="#EDF1F3" width="'.$w4.'" valign="top">';
}

function print_html_footer() {
	global $w5;

	print '</tr>
	<tr>
          <td colspan="3" bgcolor="#004B8B" align="right"><img src="/images/pix_004B8B.gif" width="'.$w5.'" height="1" border="0" /></td>
        </tr>
';

	print '        <tr>
          <td bgcolor="#FFFFFF" colspan="3" background="/images/footer_background.png" width="'.$w5.'" height="40" />
        </tr>';
	print '		<tr>
          <td colspan="3" bgcolor="#004B8B" align="right"><img src="/images/pix_004B8B.gif" width="'.$w5.'" height="1" border="0" /></td>
        </tr>
        <tr align="right">
          <td bgcolor="#FFFFFF" colspan="3"><a href="http://idealx.com">
              <img src="/images/logo_IDEALX.gif" width="95" height="37" alt="IDEALX" border="0"/>
          </a></td>
        </tr>
      </table>
    </td>
  </tr>
</table>';

	html_end();
}


function yellow_msg ($class, $message, $type, $extra = "") {
	global $HTTP_SERVER_VARS;
	global $HTTP_ENV_VARS;
	global $HTTP_GET_VARS;

	if ($type == 'info'){
		$icon='icon_info.gif';
		$alttext = "->";
	} elseif ($type == 'success') {
		$icon='icon_success.gif';
		$alttext = "[OK]";
	} elseif ($type == 'error') {
		$icon='icon_error.gif';
		$alttext = "<!>";
	} else {
		$icon='icon_info.gif';
		$alttext = "->";
	}

	return "<table width='100%' border='0' cellspacing='0' cellpadding='8' ".
		"bgcolor='#FFFFB8'>\n" .
		"<tr>\n" .
		"<td bgcolor='#FFFFB8'>\n" .
		"<img src='/images/$icon' alt='$alttext' width='33' height='33' ".
		"align='left' class='padded' />\n" .
		"</td>\n" .
		"<td bgcolor='#FFFFB8' align='left' width='95%'>\n" .
		"<font face='Trebuchet MS, Arial, Helvetica, sans-serif' ".
		"color='#666666' size='2'>\n" .
		(($class) ? msg ($class, $message, "para", $extra) : $message) .
		"</font>\n" .
		"</td>\n" .
		"</tr>\n" .
		"</table>\n";
}

function begin_form ($script) {
	return '<form action="'.$script.'" method="post" style="clear:both; '.
		'padding: 0px; margin: 0px;">'."\n";
}

function end_form () {
	return "</form>\n";
}

function begin_table($color = "", $border = "") {
	return "<table width='100%' cellspacing='0' cellpadding='3'".
		($color ? " bgcolor='$color'" : "").
		($border ? " border='$border'" : " border='0'").
		">\n";
}

function table_title_line($text) {
	return "<tr bgcolor='#E5ECEE'>".
		"<td colspan='2' nowrap align='center'><strong>".
		"<font face='Arial Narrow, Geneva, Arial' size='3' color='#00415A'>".
		"$text</font></strong></td></tr>\n";
}

function table_element_line($text1, $text2) {
	return "<tr>\n".
		"<td align='right'><font face='Arial Narrow, Geneva, Arial' ".
		"size='2' color='#666666'>$text1</font></td>\n".
		"<td><span class='label'>$text2</span></td>\n".
		"</tr>\n";
}

function table_element_alt_line($text1, $text2, $altcolor, $altcounter) {
	return "<tr".((($altcolor) and ($altcounter%2)) ?
				  " bgcolor='$altcolor'" : "").">\n".
		"<td align='right'><font face='Arial Narrow, Geneva, Arial' ".
		"size='2' color='#666666'>$text1</font></td>\n".
		"<td><span class='label'>$text2</span></td>\n".
		"</tr>\n";
}

function end_table() {
	return "</table>\n";
}

function quick_form($action, $name, $value, $submit, $name2 = "submit") {
	return '<form action="'.$action.'">
<input type="hidden" name="'.$name.'" value="'.$value.'">
<input type="submit" name="'.$name2.'" value="'.$submit.'">
</form>'."\n";
}

function quick_form2($action, $values, $submit,
					 $method = "post", $name = "submit") {
	$vals = "";

	foreach ($values as $k => $v) {
		$vals .= '<input type="hidden" name="'.$k.'" value="'.$v.'">
';
	}

	return '<form method="'.$method.'" action="'.$action.'">
'.$vals.'
<input type="submit" name="'.$name.'" value="'.$submit.'">
</form>'."\n";
}

?>
